groovy.transform.stc

## Class ThirdParam.FirstGenericType

- java.lang.Object
- - groovy.transform.stc.ClosureSignatureHint
  - - groovy.transform.stc.SingleSignatureClosureHint
    - - groovy.transform.stc.PickAnyArgumentHint
      - - groovy.transform.stc.ThirdParam.FirstGenericType

Enclosing class:
  ThirdParam

    public static class ThirdParam.FirstGenericType
    extends PickAnyArgumentHint

A hint used to instruct the type checker to pick the first generic type of the third parameter type. For example:

`void <T> doWithElements(String first, Integer second, List<T> third, @ClosureParams(SecondParam.FirstGenericType.class) Closure c) { ... } }`

Since:
  2.3.0
Author:
  Cédric Champeau

### Constructor Summary

Constructors
Constructor and Description
`FirstGenericType()`

### Method Summary

### Methods inherited from class groovy.transform.stc.PickAnyArgumentHint

`getParameterTypes`

### Methods inherited from class groovy.transform.stc.SingleSignatureClosureHint

`getClosureSignatures`

### Methods inherited from class groovy.transform.stc.ClosureSignatureHint

`findClassNode, pickGenericType, pickGenericType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FirstGenericType

    public FirstGenericType()